
function CharacterTweakData:_init_tank(presets)
	self.tank = deep_clone(presets.base)
	self.tank.tags = {
		"law",
		"tank",
		"special"
	}
	self.tank.experience = {}
	self.tank.damage.tased_response = {
		light = {
			down_time = 0,
			tased_time = 0
		},
		heavy = {
			down_time = 0,
			tased_time = 0
		}
	}
	self.tank.weapon = deep_clone(presets.weapon.good)
	self.tank.weapon.is_shotgun_pump.FALLOFF[1].dmg_mul = 9.9
	self.tank.weapon.is_shotgun_pump.FALLOFF[2].dmg_mul = 9.9
	self.tank.weapon.is_shotgun_pump.FALLOFF[3].dmg_mul = 9.9
	self.tank.weapon.is_shotgun_pump.RELOAD_SPEED = 10
	self.tank.weapon.is_shotgun_mag = {
		aim_delay = {
			0.1,
			0.1
		},
		focus_delay = 4,
		focus_dis = 200,
		spread = 20,
		miss_dis = 40,
		RELOAD_SPEED = 999,
		melee_speed = 999,
		melee_dmg = 999,
		melee_retry_delay = {
			1,
			2
		},
		range = {
			optimal = 2000,
			far = 5000,
			close = 1000
		},
		autofire_rounds = presets.weapon.deathwish.is_rifle.autofire_rounds,
		FALLOFF = {
			{
				dmg_mul = 2,
				r = 100,
				acc = {
					0.6,
					0.9
				},
				recoil = {
					0.4,
					0.7
				},
				mode = {
					0,
					3,
					3,
					1
				}
			},
			{
				dmg_mul = 1.75,
				r = 500,
				acc = {
					0.6,
					0.9
				},
				recoil = {
					0.4,
					0.7
				},
				mode = {
					0,
					3,
					3,
					1
				}
			},
			{
				dmg_mul = 1.5,
				r = 1000,
				acc = {
					0.4,
					0.8
				},
				recoil = {
					0.45,
					0.8
				},
				mode = {
					1,
					2,
					2,
					0
				}
			},
			{
				dmg_mul = 1.25,
				r = 2000,
				acc = {
					0.4,
					0.55
				},
				recoil = {
					0.45,
					0.8
				},
				mode = {
					3,
					2,
					2,
					0
				}
			},
			{
				dmg_mul = 1,
				r = 3000,
				acc = {
					0.1,
					0.35
				},
				recoil = {
					1,
					1.2
				},
				mode = {
					3,
					1,
					1,
					0
				}
			}
		}
	}
	self.tank.weapon.is_rifle = {
		aim_delay = {
			0.1,
			0.2
		},
		focus_delay = 4,
		focus_dis = 800,
		spread = 20,
		miss_dis = 40,
		RELOAD_SPEED = 0.5,
		melee_speed = 1,
		melee_dmg = 25,
		melee_retry_delay = {
			1,
			2
		},
		range = {
			optimal = 2500,
			far = 5000,
			close = 1000
		},
		autofire_rounds = {
			20,
			40
		},
		FALLOFF = {
			{
				dmg_mul = 5,
				r = 100,
				acc = {
					0.6,
					0.9
				},
				recoil = {
					0.4,
					0.7
				},
				mode = {
					0,
					0,
					0,
					1
				}
			},
			{
				dmg_mul = 4,
				r = 500,
				acc = {
					0.5,
					0.7
				},
				recoil = {
					0.4,
					0.7
				},
				mode = {
					0,
					1,
					2,
					8
				}
			},
			{
				dmg_mul = 3.5,
				r = 1000,
				acc = {
					0.4,
					0.6
				},
				recoil = {
					0.45,
					0.8
				},
				mode = {
					1,
					3,
					6,
					6
				}
			},
			{
				dmg_mul = 3,
				r = 2000,
				acc = {
					0.2,
					0.5
				},
				recoil = {
					0.45,
					0.8
				},
				mode = {
					1,
					2,
					2,
					1
				}
			},
			{
				dmg_mul = 3,
				r = 3000,
				acc = {
					0.1,
					0.35
				},
				recoil = {
					1,
					1.2
				},
				mode = {
					4,
					2,
					1,
					0
				}
			}
		}
	}
	self.tank.detection = presets.detection.normal
	self.tank.HEALTH_INIT = 2000
	self.tank.headshot_dmg_mul = 0
	self.tank.damage.explosion_damage_mul = 0
	self.tank.damage.hurt_severity = self.presets.hurt_severities.only_light_hurt_and_fire
	self.tank.move_speed = presets.move_speed.slow
	self.tank.allowed_stances = {
		cbt = true
	}
	self.tank.allowed_poses = {
		stand = true
	}
	self.tank.crouch_move = true
	self.tank.no_run_start = true
	self.tank.no_run_stop = true
	self.tank.no_retreat = true
	self.tank.no_arrest = true
	self.tank.surrender = nil
	self.tank.ecm_vulnerability = 0
	self.tank.ecm_hurts = {
		ears = {
			max_duration = 0,
			min_duration = 0
		}
	}
	self.tank.weapon_voice = "3"
	self.tank.experience.cable_tie = "tie_swat"
	self.tank.access = "tank"
	self.tank.speech_prefix_p1 = self._prefix_data_p1.bulldozer()
	self.tank.speech_prefix_p2 = nil
	self.tank.speech_prefix_count = nil
	self.tank.priority_shout = "f30"
	self.tank.rescue_hostages = true
	self.tank.deathguard = true
	self.tank.melee_weapon = "fists"
	self.tank.melee_weapon_dmg_multiplier = 0
	self.tank.melee_anims = {
		"cbt_std_melee"
	}
	self.tank.critical_hits = {
		damage_mul = self.tank.headshot_dmg_mul * 0
	}
	self.tank.die_sound_event = "bdz_x02a_any_3p"
	self.tank.damage.hurt_severity = presets.hurt_severities.no_hurts
	self.tank.chatter = {
		retreat = true,
		aggressive = true,
		contact = true
	}
	self.tank.announce_incomming = "incomming_tank"
	self.tank.steal_loot = true
	self.tank.calls_in = nil
	self.tank.use_animation_on_fire_damage = false
	self.tank.flammable = false
	self.tank.can_be_tased = false
	self.tank.immune_to_knock_down = true
	self.tank.immune_to_concussion = true
	self.tank_hw = deep_clone(self.tank)
	self.tank_hw.move_speed = {
		stand = {
			walk = {
				ntl = {
					strafe = 5000000,
					fwd = 5000000,
					bwd = 5000000
				},
				hos = {
					strafe = 5000000,
					fwd = 5000000,
					bwd = 5000000
				},
				cbt = {
					strafe = 5000000,
					fwd = 5000000,
					bwd = 5000000
			},
			run = {
				hos = {
					strafe = 5000000,
					fwd = 5000000,
					bwd = 5000000
				},
				cbt = {
					strafe = 5000000,
					fwd = 5000000,
					bwd = 5000000
				}
			}
		},
		crouch = {
			walk = {
				hos = {
					strafe = 5000000,
					fwd = 5000000,
					bwd = 5000000
				},
				cbt = {
					strafe = 5000000,
					fwd = 5000000,
					bwd = 5000000
				}
			},
			run = {
				hos = {
					strafe = 5000000,
					fwd = 5000000,
					bwd = 5000000
				},
				cbt = {
					strafe = 5000000,
					fwd = 5000000,
					bwd = 5000000
				}
			}
		}
	}
	self.tank_hw.HEALTH_INIT = 2000
	self.tank_hw.headshot_dmg_mul = 0
	self.tank_hw.ignore_headshot = true
	self.tank_hw.damage.explosion_damage_mul = 0
	self.tank_hw.use_animation_on_fire_damage = false
	self.tank_hw.flammable = false
	self.tank_hw.can_be_tased = false
	self.tank_hw.damage.hurt_severity = self.presets.hurt_severities.only_light_hurt_and_fire
	self.tank_medic = deep_clone(self.tank)
 
	table.insert(self.tank_medic.tags, "medic")
 
	self.tank_mini = deep_clone(self.tank)
	self.tank_mini.weapon.mini = {}
	self.tank_mini.move_speed = presets.move_speed.slow
	self.tank_mini.weapon.mini.aim_delay = {
		0.1,
		0.2
	}
	self.tank_mini.weapon.mini.focus_delay = 4
	self.tank_mini.weapon.mini.focus_dis = 800
	self.tank_mini.weapon.mini.spread = 20
	self.tank_mini.weapon.mini.miss_dis = 40
	self.tank_mini.weapon.mini.RELOAD_SPEED = 100
	self.tank_mini.weapon.mini.melee_speed = 100
	self.tank_mini.weapon.mini.melee_dmg = 2500
	self.tank_mini.weapon.mini.melee_retry_delay = {
		1,
		2
	}
	self.tank_mini.weapon.mini.range = {
		optimal = 2500,
		far = 5000,
		close = 1000
	}
	self.tank_mini.weapon.mini.autofire_rounds = {
		20,
		40
	}
	self.tank_mini.weapon.mini.FALLOFF = {
		{
			dmg_mul = 5,
			r = 100,
			acc = {
				0.1,
				0.15
			},
			recoil = {
				2,
				2
			},
			mode = {
				0,
				0,
				0,
				1
			},
			autofire_rounds = {
				500,
				700
			}
		},
		{
			dmg_mul = 4,
			r = 500,
			acc = {
				0.05,
				0.1
			},
			recoil = {
				1.5,
				1.75
			},
			mode = {
				0,
				0,
				0,
				1
			},
			autofire_rounds = {
				500,
				500
			}
		},
		{
			dmg_mul = 3.5,
			r = 1000,
			acc = {
				0.04,
				0.075
			},
			recoil = {
				1.2,
				1.5
			},
			mode = {
				0,
				0,
				0,
				1
			},
			autofire_rounds = {
				300,
				500
			}
		},
		{
			dmg_mul = 3,
			r = 2000,
			acc = {
				0.025,
				0.05
			},
			recoil = {
				0.7,
				1
			},
			mode = {
				0,
				0,
				0,
				1
			},
			autofire_rounds = {
				100,
				300
			}
		},
		{
			dmg_mul = 3,
			r = 3000,
			acc = {
				0.01,
				0.025
			},
			recoil = {
				0.5,
				0.7
			},
			mode = {
				0,
				0,
				0,
				1
			},
			autofire_rounds = {
				40,
				100
			}
		}
	}
 
	table.insert(self._enemy_list, "tank")
	table.insert(self._enemy_list, "tank_hw")
	table.insert(self._enemy_list, "tank_medic")
	table.insert(self._enemy_list, "tank_mini")
end